apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: bad-prod-ns
  name: nginx-deployment-2
  labels:
    app: nginx
    # gatekeeper: label-applied
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx:1.14.2
        ports:
        - containerPort: 80